import 'antd/dist/antd.css';
import React, { useContext, useEffect } from 'react';

import { useUnauthRedirect } from '../../hooks';
import { useRouter } from 'next/router';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faFileExport } from '@fortawesome/free-solid-svg-icons';
import { Typography } from 'antd';
import { LoggedUserContext } from '../../contexts/LoggedUserContext';
import { MainLayout } from '../../layouts/mainLayout';

function ExportPage() {
    const redirecting = useUnauthRedirect('/login');
    const { logout, role } = useContext(LoggedUserContext);
    const router = useRouter();

    useEffect(() => {
        if (role !== 'ADMINISTRATOR') {
            logout();
            router.push('/login');
        }
    }, [logout, redirecting, role, router]);

    return redirecting || role !== 'ADMINISTRATOR' ? null : (
        <MainLayout>
            <Typography.Title level={2}>
                <FontAwesomeIcon icon={faFileExport} /> Export
            </Typography.Title>
        </MainLayout>
    );
}

export default ExportPage;
